<div id="leftcol">
	<ul>
		<br />
		<li><!-- Calendar -->
			<div class="sidebartext">
			<?php get_calendar(1); ?>
			</div>
		</li><!-- End of Calendar -->
		<br />
		
		<li><!-- Popular Tags -->
			<h2><?php _e('Popular Tags'); ?></h2>
			
						<?php
					$minfont = 8;
					$maxfont = 12;
					$fontunit = "px";
					$category_ids_to_exclude = "";
					popular_tags($minfont, $maxfont, $fontunit, $category_ids_to_exclude);
				?>
				</li><!-- End Popular Tags -->
			<br /><br />
				
			<li><!-- Latest Post -->
			<h2><?php _e('Latest Post'); ?></h2>
				<?php query_posts('showposts=10'); ?>
			<ul>
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<li><a href="<?php the_permalink() ?>"><span class="date"><?php the_time('m.j') ?></span> <?php the_title() ?> </a></li>
			<?php endwhile; endif; ?>
			</ul>
			</li><!-- End of Latest -->	
					
		<li><!-- Recent Comments -->
			<h2><?php _e('Recent Comments'); ?></h2>
				<ul>
					<?php get_recent_comments(); ?>
				</ul>
		</li><!-- End of Comments -->
		
		<li><!-- Recently Commented Post -->
			<h2><?php _e('Recently Updated'); ?></h2>
				<ul>
					<?php c2c_get_recently_modified(3); ?>
				</ul>
		</li><!-- End Recently Commented Post -->
		
				<li><!-- Categories -->
			<h2><?php _e('Categories'); ?></h2>
				<ul>
					<?php list_cats(0, '', 'name', 'asc', '', 1, 0, 1, 1, 1, 1, 0,'','','','','') ?>
				</ul>
		</li><!-- End of Categories -->
<li><!-- Archives -->
			<h2><?php _e('Archives By Month'); ?></h2>
				<ul>
					<?php wp_get_archives('type=monthly'); ?>
				</ul>
		</li><!-- End of Archives -->		
	<?php if ( is_home() ) { ?>
		<?php if (function_exists('wp_theme_switcher')) { ?>	
		<li><!-- Theme switcher -->
			<h2><?php _e('Themes'); ?></h2>			
				<?php wp_theme_switcher(); ?>
		</li><!-- End of Theme switcher -->
		<?php } ?>
		
		<li><!-- Blog Stats -->
			<h2><?php _e('Blog Stats'); ?></h2>
				<?php
				$numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
				if (0 < $numposts) $numposts = number_format($numposts); 
				
				$numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
				if (0 < $numcomms) $numcomms = number_format($numcomms);
				
				$numcats = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->categories");
				if (0 < $numcats) $numcats = number_format($numcats);
				?>
				<div class="text"><?php printf(__('There are currently <span class="counts">%1$s</span> posts and <span class="counts">%2$s</span> comments, contained within <span class="counts">%3$s</span> categories.'), $numposts, $numcomms, $numcats); ?></div>
		</li><!-- End Blog Stats-->
	<?php } ?>
	</ul>
</div>