<?php get_header(); ?>
	<div id="maincol"><!-- Begin of maincol -->
		<?php if (have_posts()) : ?>
			<!-- 	The following code is using the is_functions very well explained here:
				http://boren.nu/archives/2004/10/16/templates-and-the-is-functions/
				and the template taken from Kubrick v1.5 - http://binarybonsai.com/kubrick/ 
			-->
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
			<?php /* If this is a category archive */ if (is_category()) { ?>				
				<h3>Archive for the '<?php echo single_cat_title(); ?>' Category</h3>
			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
				<h3>Archive for <?php the_time('Y/m/d'); ?></h3>
			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				<h3>Archive for <?php the_time('Y/m'); ?></h3>
			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				<h3>Archive for <?php the_time('Y'); ?></h3>
			<?php /* If this is a search */ } elseif (is_search()) { ?>
				<h3>Search Results</h3>
			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				<h3>Author Archive</h3>
			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h2>Blog Archives</h2>
			<?php } ?>
				<br/>
		<?php while (have_posts()) : the_post(); ?>
		<div class="archived">
			<div class="post"><!-- Post Div-->
				<h2 id="post-<?php the_ID(); ?>">
					<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a>
				</h2>
				<div class="entry">
					<?php the_excerpt() ?>
				</div>
				<p class="postmetadata"><!-- Here goes the metadata of your post-->
				<?php edit_post_link('#','','| '); ?><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_time('Y/m/d') ?></a> | <?php the_category(' - ') ?> | <a href="<?php trackback_url(display); ?>">Trackback</a> | <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
				</p>
				<!--
				<?php trackback_rdf(); ?>
				-->			
			</div><!-- End of post div-->	
		</div>
		<?php endwhile; ?>
		<div class="navigation">
			<div class="al"><?php posts_nav_link('','','&laquo; Previous Entries') ?></div>
			<div class="ar"><?php posts_nav_link('','Next Entries &raquo;','') ?></div>
		</div>	
		<?php else : ?>
		<h2>Error 404 - Not Found</h2>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>
		<?php endif; ?>
		</div><!-- This closes the maincol div, leave it where it is! do NOT place it before the php endif -->

		<?php include (TEMPLATEPATH . "/rightcol.php"); ?>
		</div> <!-- closes wrapper clear fix --> 
			<?php include (TEMPLATEPATH . "/leftcol.php"); ?>
		</div> <!-- closes twocols clear fix -->
<?php get_footer(); ?>